image: google/dart:2.12

stages:
  - lint
  - test
  - build

.job_template:
  tags:
    - docker

lint:
  extends: .job_template
  stage: lint
  script:
    - pub get
    - dartfmt -n --set-exit-if-changed .
    - dartanalyzer .

test:
  extends: .job_template
  stage: test
  script:
    - pub get
    - pub run test